$white: #fff;
$gray-100: #f8f9fa;
$gray-200: #e9ecef;
$gray-300: #dfdfdf;
$gray-400: #d8d8d8;
$gray-500: #adb5bd;
$gray-600: #6c757d;
$gray-700: #495057;
$gray-800: #343a40;
$gray-900: #212529;
$black: #000;

$red: #e73137;
$red-dark: #d02c31;
$blue: #00647f;
$green: #008a4e;
$yellow: #8c6e58;
$background: #f1f5f9;
$typo: #595454;
$typo-light: #a1a5a7;

$tailpurple: #919edd;
$tailpink: #cd99d9;
$tailteal: #a1cd83;
$tailbrown: #e2c784;
$tailgray: #a0a0a0;
$tailrose: #ca6c7a;

$indigo: #6610f2;
$purple: #6f42c1;
$pink: #e83e8c;
$orange: #fd7e14;
$teal: #20c997;
$cyan: #17a2b8;

$succes-bg: #d1f6e6;
$info-bg: #dff1f7;
$warning-bg: #fff2e3;
$danger-bg: #ffdbdc;

$table-accent-bg: #f8fafd;
$table-hover: #e1eaf4;
$table-hover-bg: #e1eaf4;

$alertColors: () !default;
$alertColors: map-merge(
  (
    'success': #008a4e,
    'info': #00647f,
    'warning': #8c6e58,
    'danger': #c4292d,
  ),
  $alertColors
);

$alertBgColors: () !default;
$alertBgColors: map-merge(
  (
    'success': $succes-bg,
    'info': $info-bg,
    'warning': $warning-bg,
    'danger': $danger-bg,
  ),
  $alertBgColors
);

$colors: () !default;
$colors: map-merge(
  (
    'red': $red,
    'red-dark': $red-dark,
    'blue': $blue,
    'green': $green,
    'yellow': $yellow,
    'background': $background,
    'typo': $typo,
    'typo-light': $typo-light,
    'tailpurple': $tailpurple,
    'tailpink': $tailpink,
    'tailteal': $tailteal,
    'tailbrown': $tailbrown,
    'tailgray': $tailgray,
    'tailrose': $tailrose,
    'indigo': $indigo,
    'purple': $purple,
    'pink': $pink,
    'orange': $orange,
    'teal': $teal,
    'cyan': $cyan,
    'white': $white,
    'gray': $gray-600,
    'gray-dark': $gray-800,
    'succes-bg': $succes-bg,
    'info-bg': $info-bg,
    'warning-bg': $warning-bg,
    'danger-bg': $danger-bg,
    'table-accent': $table-accent-bg,
    'table-hover': $table-hover-bg,
  ),
  $colors
);

$primary: $red;
$danger: $red-dark;
$secondary: $blue;

$theme-colors: ();
$theme-colors: map-merge(
  (
    'primary': $primary,
    'secondary': $secondary,
    'success': $green,
    'info': $cyan,
    'warning': $yellow,
    'danger': $danger,
    'light': $gray-100,
    'dark': $gray-800,
    'white': $white,
    'tailpurple': $tailpurple,
    'tailpink': $tailpink,
    'tailteal': $tailteal,
    'tailbrown': $tailbrown,
    'tailgray': $tailgray,
    'tailrose': $tailrose,
    'succes-bg': $succes-bg,
    'info-bg': $info-bg,
    'warning-bg': $warning-bg,
    'danger-bg': $danger-bg,
    'table-accent': $table-accent-bg,
    'table-hover': $table-hover-bg,
  ),
  $theme-colors
);

$body-color: $typo;
$font-family-base: 'Roboto', sans-serif;
$font-family-secondary: 'Century Gothic Bold', CenturyGothic, AppleGothic, sans-serif;

$border-radius: 4px;

$headings-font-family: $font-family-secondary;
$h1-font-size: 2.5rem;
$h2-font-size: 1.5rem;
$h3-font-size: 1rem;
$h4-font-size: 1rem;
$h5-font-size: 0.875rem;

$display1-size: $h2-font-size;
$display1-weight: bold;
$display2-size: $h3-font-size;
$display2-weight: bold;
$display3-size: $h3-font-size;
$display3-weight: 400;
$display4-size: $h5-font-size;
$display4-weight: 400;
$display-line-height: 1rem;

// Dissable focus box-shadow
$input-btn-focus-box-shadow: none;
$btn-focus-box-shadow: none;
$input-focus-box-shadow: none;
$custom-control-indicator-focus-box-shadow: none;
$custom-select-focus-box-shadow: none;
$custom-range-thumb-focus-box-shadow: none;
$custom-file-focus-box-shadow: none;
$pagination-focus-box-shadow: none;

// Buttons
$btn-padding-y-sm: 0.25rem;
$btn-padding-x-sm: 0.25rem;
$btn-font-size-sm: $h5-font-size;
$btn-line-height-sm: 1.3rem;

// Inputs
$input-color: $typo;
$input-border-radius: 0;
$input-border-radius-lg: 0;
$input-border-radius-sm: 0;

$input-border-color: $typo-light;
$input-border-width: 1px;

$input-box-shadow: none;
$input-focus-box-shadow: none;

//
$box-shadow-sm: 0 1px 4px 0 rgba(89, 84, 84, 0.3);
$box-shadow: 0 5px 5px 0 rgba(89, 84, 84, 0.2);
$box-shadow-lg: 0 5px 8px 0 rgba(89, 84, 84, 0.1), 0 20px 35px 0 rgba(89, 84, 84, 0.15);

// Cards

$card-spacer-y: 0.75rem !default;
$card-spacer-x: 1rem;
$card-border-width: 0;
$card-border-radius: $border-radius;
$card-bg: $white;
$card-cap-bg: transparent;

// Popovers
$popover-box-shadow: $box-shadow-lg;
$popover-font-size: $h5-font-size;
$popover-bg: $white;
$popover-border-width: 0px;
$popover-border-color: transparent;
$popover-border-radius: $border-radius;
$popover-header-bg: transparent;
$popover-header-color: $typo;
$popover-header-padding-y: 10px;
$popover-header-padding-x: 20px;
$popover-body-padding-y: 20px;
$popover-body-padding-x: 20px;
$popover-arrow-outer-color: transparent;

// Badges
$badge-font-size: $h4-font-size;
$badge-font-weight: normal;
$badge-padding-y: 0.25em;
$badge-padding-x: 0.5rem;
$badge-border-radius: 4px;
$badge-pill-padding-x: $badge-padding-x;

// Alerts
$alert-padding-y: 1rem;
$alert-padding-x: 1.5rem;
$alert-margin-bottom: 1rem;
$alert-border-radius: $border-radius;
$alert-link-font-weight: normal;
$alert-border-width: 1px;

// Pagination
$pagination-border-color: transparent;
$pagination-hover-border-color: transparent;
$pagination-disabled-color: $gray-400;
$pagination-disabled-border-color: transparent;

// Navbar
$navbar-padding-y: 0.5rem;
$navbar-light-toggler-border-color: rgba($black, 0.1) !default;

// Table

$table-cell-padding: 0.5rem;
$table-bg: $white;

// Modals
$modal-content-border-color: transparent;
$modal-content-border-width: 0;
